
% SEND:
% --- P, a protein sequence as a single char vector
% --- K, the Kmer degree of interest

% GET:
% --- Kmer, a cell array that contains all the Kmer of level K that exist in the protein.

function Kmer = get_unique_existing_Kmer_in_protein(P, K)


N = length(P);

for i = 1:N-K+1
    
    Kmer{i} = P(i:i+K-1);
    
end

% sorted by alpha-beit
Kmer = unique(Kmer);
